package com.philippeadjiman.rtseproto.util;

import java.util.List;

public interface URLTools {
	/**
	 * Extract the urls contained in a given string.
	 * @param text the input string from whihc urls should be extracted
	 * @return a list (since we might need the order) of the found URLs (may be the empty list)
	 */
	public List<String> extractURLs(String text);
	
	/**
	 * Expand potentially short urls.
	 * If the given address is a valid short url it will return the expanded url.
	 * In any other case, it will return the original url.
	 * 
	 * @param address
	 * @return
	 */
	public String urlExpander(String address);
}
